# Note that this is NOT a relocatable package
%define ver      1.2.1
%define rel      4
%define prefix   %{_prefix}

Summary: The core programs for the GNOME GUI desktop environment.
Name: gnome-core
Version: %ver
Release: %rel
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://ftp.gnome.org/pub/gnome-core-%{ver}.tar.gz

BuildRoot: /var/tmp/gnome-core-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org
#Prereq: /sbin/install-info
Docdir: %{prefix}/doc

Requires: gnome-libs >= 1.2.0
BuildRequires: libtool >= 1.3.5

%ifarch ia64
  %define stdlib lib/ia64l32
  %define liblink ../../..
%else
  %define stdlib lib
  %define liblink ../..
%endif

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-core package
includes the basic programs and libraries that are needed to install
GNOME.

%package devel
Summary: The include files for GNOME panel development.
Group: Development/Libraries
Requires: gnome-core = %{PACKAGE_VERSION}
Requires: gnome-libs-devel

%description devel
The gnome-core-devel package contains the header files
for creating panels for the GNOME GUI desktop environment.

If you're developing GNOME panels, you'll need to install
gnome-core-devel.

%prep
%setup -q

%build
libtoolize --force
CFLAGS="-DHAVE_CONTROL_CENTER $RPM_OPT_FLAGS" LDFLAGS="-Wl,-brtl" ./configure --prefix=%prefix --with-window-manager=sawfish --sysconfdir=/etc

if [ -n "$SMP" ]; then
	make MAKE="make -j$SMP"
else
	make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install


#
# this is in gnome-libs now?
#
#rm -f $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-default.png

#
# clean out unneeded desktop entries
#
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/Netscape.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/Emacs.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/GIMP.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Graphics/GIMP.desktop

# strip binaries
LANG=C file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }' | xargs -n 1 /usr/bin/strip

# remove out of date docs
rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gnome-intro

# We really don't want people running this ;-)
rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/bad-applet.desktop
rm -f $RPM_BUILD_ROOT/etc/CORBA/servers/bad-applet.goad

rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Network/dialer_applet.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/bin/dialer_applet
rm -f /etc/CORBA/servers/dialer-applet.goad


( cd $RPM_BUILD_ROOT
 for dir in bin include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/*
%{prefix}/lib/lib*.la
%{prefix}/lib/lib*.so*
/usr/bin/*
/usr/%{stdlib}/lib*.la
/usr/%{stdlib}/lib*.so*

%{prefix}/share/applets
%{prefix}/share/mc/templates
%{prefix}/lib/locale/*/*/*
%{prefix}/share/pixmaps/*
%config %{prefix}/share/panelrc
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/apps/.order
%{prefix}/share/gnome/help/*
%config %{prefix}/share/gnome/default.session
#%config %{prefix}/share/default.wm
%config /etc/CORBA/servers/*
%config /etc/sound/events/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.sh
%{prefix}/include/*
/usr/lib/*.sh
/usr/include/*
%{prefix}/share/idl/


%changelog
* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Wed Mar  8 2000 Bill Nottingham <notting@redhat.com>
- fix links in help-browser

* Mon Mar  6 2000 Matt Wilson <msw@redhat.com>
- magicdev on

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- enable swapped backspace and delete by default

* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- add sawmill to list of WMs to test for in default session
- depend on windowmanager virtual package not enlightenment.

* Mon Feb 14 2000 Jonathan Blandford <jrb@redhat.com>
- fix norwegian page to refer to ../C/gnome-logo-large.png instead of the local one.

* Tue Feb  8 2000 Matt Wilson <msw@redhat.com>
- re-add the helpbroser crash patch for the 3rd time

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- Don't set LC_ALL in gsm/main.c, just set LANG

* Thu Feb 03 2000 Owen Taylor <otaylor@redhat.com>
- Change the save_delay from 10000ms to 15000ms to reduce
  problems on slow boxes.

* Thu Feb 03 2000 Owen Taylor <otaylor@redhat.com>
- Add fix for deiconifying windows in gnome-page-applet

* Thu Jan 27 2000 Elliot Lee <sopwith@redhat.com>
- Don't set $LINGUAS in gnome-session (updated gdmlang patch).

* Fri Dec 10 1999 Matt Wilson <msw@redhat.com>
- disabled magicdev by default

* Sat Sep 25 1999 Owen Taylor <otaylor@redhat.com>
- Use new -oneshot option for xscreensaver to lock screen if screensaver
  is not running.
- Default to not discarding panel menus in a timeout.

* Thu Sep 23 1999 Michael Fulbright <drmike@redhat.com>
- remove dialer_applet to avoid confusion with RH ppp tool
- change modem_lights applet default connect/disconnect cmd to use usernetctl

* Thu Sep 23 1999 Michael Fulbright <drmike@redhat.com>
- remove dialer_applet to avoid confusion with RH ppp tool
- change modem_lights applet default connect/disconnect cmd to use usernetctl

* Wed Sep 22 1999 Owen Taylor <otaylor@redhat.com>
- Fix session manager crashing problems?

* Wed Sep 22 1999 Jonathan Blandford <jrb@redhat.com>
- one line patch to fix theme in log-out screen.
- yet another new default page for gnome help browser.

* Tue Sep 21 1999 Elliot Lee <sopwith@redhat.com>
- inserted new default page for gnome help browser with RH docs on it
- added Owen's fix for session management

* Tue Sep 21 1999 Elliot Lee <sopwith@redhat.com>
- Patch panel to add gnome-terminal as a default launcher
- Fix up RH Settings.order to list UIOptions.

* Tue Sep 21 1999 Elliot Lee <sopwith@redhat.com>
- Update to whatever is in CVS (aka 1.0.39 for all intents and purposes)

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Keep CD player closed with CD player applet
- Remove "Ask me again" from the logout dialog
- Fix save-session to temporarily turn of trash mode

* Fri Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- After upgrading this to 1.0.10pre yesterday, I had to fix
  a bug in multiload, and also remove bad-applet from the package.

* Mon Aug 23 1999 Michael Fulbright <drmike@redhat.com>
- added new default Red Hat specific page for help browser

* Fri Aug 13 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnome-terminal.png icon

* Thu Aug  5 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9 

* Wed Jul 21 1999 Michael Fulbright <drmike@redhat.com>
- patched gnome-terminal to properly set TERM env if not already set.

* Wed Jul  7 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.7

* Tue Jun  8 1999 Michael Fulbright <drmike@redhat.com>
- updated to official 1.0.6 release
- fixed file list to include shared libs in gnome-core which are required 
  by applets which are dynamically loaded

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fix leaks in gnome-pager

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- pager fix for infinite redraws
- turned off http transport in help browser (it is not a web browser)
- patch to gnome-session to read GDM_LANG env and set LANG,etc properly


* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- another fix for pager

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- remove out-of-date documentaton
- applied patch that affected gnome pager if you switched window managers

* Mon Apr 12 1999 Michael Fulbright <drmike@redhat.com>
- fixed splash screen sm handling
- changed gnome-terminal to use 'fixed' by defualt
- made help-browser not spout out debugging info

* Wed Apr 7 1999 Michael Fulbright <drmike@redhat.com>
- fixed many warning messages and other visual glitches

* Mon Apr 5 1999 Michael Fulbright <drmike@redhat.com>
- updates to owen's session management code
- fixed cdplayer_applet to work if no disc in initially
- included asclock theme data in file list

* Thu Apr 1 1999 Owen Taylor <otaylor@redhat.com>
- updates for gnome-core-1.0.4. 
- changes to provide a simpler session management UI

* Thu Apr 1 1999 Michael Fulbright <drmike@redhat.com>
- added handle and incorporated quicklaunch-applet 0.8

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added devel requirement for gnome-libs-devel and removed prereq for 
  install-info

* Tue Mar 23 1999 Michael Fulbright <drmike@redhat.com>
- added gdm session script for GNOME
- patched help browser to resize properly

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- added quicklaunch applet

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix from ewt to make menubar not show up on initilization if not set on

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- make all tiles grey by default
- reverted gsm code back to 1.0.1 code so startup properties will work
- made misc-fixed font default so we get pipe characters back
- moved /etc/X11/applink to /etc/X11/applnk

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt against libghttp 1.0.0
- added kde menu reading code

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- added requirement for enlightenment
- added code to merge RH gnome desktop entries into panel menu

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gnome-libs with db1

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8.1 release
- replaced bad netscape.png with acceptable one
- updated file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8 release

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.7 release with empty dir panel menu hack

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to use enlightenment (again)

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5.1

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to run enlightenment

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- hacked in new default page and logo for help-browser

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- Cleaned %files section
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Built 0.30 release

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-core CVS source tree
